Bug 1569632 - missing documentation inside package
Summary: missing documentation inside package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: icecast
Version: 27
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:50 UTC by customercare
Modified: 2018-11-30 23:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:37:51 UTC
Type: Bug


Attachments (Terms of Use)

Description customercare 2018-04-19 15:50:59 UTC
Description of problem:

icecast package lacks documentation. No manpages nor html guides are included.

this means, that a out of the box start without inet access for research is not possible. 

The inline comments on the icecast.xml file, are wage at best. 

also, setting a default password for a security function like an admin account, is insecure. Firsttime users tend to start the server with defaults or minimal changes to reduce startupproblems.

On the positive side, at least you set the defaults to localhost. Unfortunatly, this will be the first thing a user changes to test it and peng, hacked with the default passwords ;)

I consider this a bad style.


Version-Release number of selected component (if applicable):

Name        : icecast
Version     : 2.4.3
Release     : 1.fc26

O== Changes needed

a man page for the configfile

a default, but not enabled config file( with comments )

A warning message and denial message, if the defaults for logins have been used to start the server.

A teamspeak server generates a key and you have to supply it, if you wanne do admin stuff. You should consider this.

Comment 1 Fedora End Of Life 2018-05-03 08:51:52 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Petr Pisar 2018-11-02 15:56:09 UTC
The documentation is in the icecast-doc package.

Comment 3 Ben Cotton 2018-11-27 13:41:16 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 23:37:51 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.